Number Verification V2

Number Verification API

2.0.0OAS 3.0

CAMARA Number Verification API v2. Confirms whether the phone number provided by the service provider matches the phone number of the device/SIM on the mobile network.

API Base URL
  • Server 1:https://api.pxg.konera.com/camara

    Production CAMARA API Gateway

Security
OAuth2ClientCredentials (oauth2)

Client Credentials OAuth Flow

Token URL: https://auth.konera.com/oauth2/token

Scopes:

  • number-verification.read - Verify device phone number match

Number Verification

Phone number ownership verification APIs

Verify phone number ownership (v2)

Verifies that the provided phone number belongs to the authenticated end user using network-based verification (v2).

post
https://api.pxg.konera.com/camara/number-verification/v2/verify

Headers

x-correlation-idstring

Correlation ID for request tracing

Example:b4333c46-49c0-4f62-80d7-f0ef930f1c46

Body

application/json

NumberVerificationRequest

phoneNumberstringrequired

MSISDN in E.164 format entered by the end user

Example:+919036499174

Response

application/json

Number verification result

NumberVerificationResponse

devicePhoneNumberVerifiedbooleanrequired

Indicates whether the provided MSISDN matches the phone number of the device/SIM on the network

Example:true

assessedAtstring | null(date-time)

Timestamp when verification was performed

post/number-verification/v2/verify

Body

{ "phoneNumber": "+123456789" }
 
application/json

NumberVerificationRequest

object
phoneNumberstringrequired

MSISDN in E.164 format entered by the end user

Example:+919036499174

Example

NumberVerificationResponse

object
devicePhoneNumberVerifiedbooleanrequired

Indicates whether the provided MSISDN matches the phone number of the device/SIM on the network

Example:true

assessedAtstring(date-time)

Timestamp when verification was performed

Example